<html>
    <body>

    <p>Test that the audio element supports MPEG files.</p>

    <audio controls></audio>
    
    <script src=video-test.js></script>
    <script>
        mediaElement = document.getElementsByTagName('audio')[0];
    
        mediaElement.addEventListener('error', function() { 
            consoleWrite("<span style='color:red'>FAIL</span> : caught 'error' event, audio.error = " + mediaElement.error.code);
            endTest();
        });
    
        mediaElement.addEventListener('canplaythrough', function() { 
            consoleWrite("EVENT(canplaythrough)");
            testExpected("mediaElement.currentTime", 0);
            mediaElement.play(); 
            setTimeout(testCurrentTime, 500) 
        });

        function testCurrentTime() 
        {
            testExpected("mediaElement.currentTime", 0, '>');
            endTest();
        }
    
        waitForEvent('play');
    
        mediaElement.src = "content/silence.mpg";
    </script>

    </body>
</html>
